//---------------------------------------------------------------------------

#ifndef resourceeditorH
#define resourceeditorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TResourceEditorForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl;
        TTabSheet *tsResources;
        TTabSheet *tsCreate;
        TButton *bDeleteEntry;
        TEdit *eFindEntryName;
        TComboBox *cbFindEntry;
        TButton *bFindEntry;
        TLabel *tsName;
        TEdit *eCreateName;
        TLabel *tsType;
        TComboBox *cbCreateType;
        TLabel *tsFlags;
        TEdit *eCreateFlags;
        TLabel *tsLang;
        TEdit *eCreateLang;
        TLabel *tsDataVersion;
        TEdit *eCreateDataVersion;
        TLabel *tsVersion;
        TEdit *eCreateVersion;
        TLabel *tsCharacteristics;
        TEdit *eCreateCharacteristics;
        TButton *bCreateEntry;
        TButton *bCreateBitmap;
        TButton *bCreateIcon;
        TOpenDialog *CreateDialog1;
        TButton *bDeleteIconGroup;
        TListBox *lbEntries;
        TButton *bRefresh;
        TButton *bGetEntry;
        TTabSheet *tsGeneral;
        TLabel *tsFileName;
        TEdit *eFileName;
        TLabel *tsModified;
        TEdit *eModified;
        TButton *bMarkModified;
        TButton *bGetModule;
        TButton *bShow;
        TButton *bAddNotifier;
        TEdit *eRemoveNotifier;
        TUpDown *udRemoveNotifier;
        TButton *bRemoveNotifier;
        TButton *bCancel;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall bDeleteEntryClick(TObject *Sender);
        void __fastcall bFindEntryClick(TObject *Sender);
        void __fastcall bCreateEntryClick(TObject *Sender);
        void __fastcall bCreateIconClick(TObject *Sender);
        void __fastcall bCreateBitmapClick(TObject *Sender);
        void __fastcall bRefreshClick(TObject *Sender);
        void __fastcall bGetEntryClick(TObject *Sender);
        void __fastcall bDeleteIconGroupClick(TObject *Sender);
        void __fastcall lbEntriesDblClick(TObject *Sender);
        void __fastcall bMarkModifiedClick(TObject *Sender);
        void __fastcall bGetModuleClick(TObject *Sender);
        void __fastcall bShowClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TResourceEditorForm(TComponent* Owner);
        __fastcall ~TResourceEditorForm() {pr=NULL;}
        _di_IOTAProjectResource pr;
};
//---------------------------------------------------------------------------
extern PACKAGE TResourceEditorForm *ResourceEditorForm;
//---------------------------------------------------------------------------
#endif
